 # -*- coding: utf-8 -*-
"""


This is a temporary script file.
"""
from ADoutputs import daq_AO, daq_DO
from PyQt5 import QtCore

AO_TYPES = ['cavity_piezo', 'electrode', 'laser_piezo']

class anal_control_signal(QtCore.QObject):
    _registry = []

	def __init__(self, name, channel, ao_type, out_minimum = -10, out_maximum = 10, out_step = 0.1, feedfoward = False):
		super().__init__()
		self._registry.append(self)
		if ao_type not in AO_TYPES:
		    raise ValueError("Invalid ao type. Expected one of: %s" % AO_TYPES)

		self.name = name
		self.ch = channel
		self.ao_type = ao_type

		self.is_feedwoward_enabled = feedfoward

		self.initial_value = 0

		self.max = out_maximum
		self.min = out_minimum
		self.step = out_step
		self.siPrefix = True
		self.suffix = 'V'